サポート » プラグイン » 画像ポップアップ系のプラグインが機能しない

  • 解決済 chatm

    (@chatm)


    wordpress5.8.2を使い、オリジナルテーマで作成していますが、
    wordpressのアップデートによって今まで使えていた画像ポップアップ系のプラグイン、
    Easy FancyBox、ARI Fancy Lightbox 、などが使えなくなりました。
    Simple Lightboxはプラグインを有効にしたとたんにページが開かなくなります。
    Popup Builderもダメでした。

    javascriptとcssでやるか、とも思いましたが、素人が簡単に更新できない感じでは、運営で困りますし。
    lazyblockでカスタムブロックを作るしかないでしょうか。

    画像をモーダルなポップアップできるプラグインで最新版に対応しているものはありますでしょうか。

3件の返信を表示中 - 1 - 3件目 (全3件中)
  • トピック投稿者 chatm

    (@chatm)

    すみません、Easy FancyBoxなどのポップアップが機能しないと書いたのですが、テーマを「Twenty Nineteen」に変えたら機能しましたので、wordpressのデフォルトで自動挿入される、Gutenberg用CSSやwp-json、他を読み込んでいないようです。function.phpにも特別に以前と変えたものは無いのですが、wordpressのデフォルトの設定が読み込まれなくなるという件で、何か原因が分かれば教えて頂けると助かります。

    Aki Hamano

    (@wildworks)

    @chatm さん

    はじめまして。

    以下の環境でテストしましたが、問題無く動作しました。

    • 検証プラグイン:Easy FancyBox
    • WordPressバージョン:5.8.2
    • テーマ:Twenty Twenty Oneおよびオリジナルテーマ(最低限のファイルのみ)

    なので、お使いのテーマとの相性もしくはテーマ側の設定が原因である可能性が高いと思われます。

    Gutenberg用CSSが読み込まれていないとの事なので、

    • functions.phpにそれらを無効にする記述を入れていないか
    • wp_head()wp_footer()等をテーマテンプレートに正しく記述しているか

    などを確認してみて下さい。

    トピック投稿者 chatm

    (@chatm)

    お答え頂きましてありがとうござます。
    仰る通り、header.php に <?php wp_head(); ?> を入れ忘れておりました。
    まさかこんな単純なミスで動かなくなるとは・・・
    それだけでグーテンベルグのcssや、デフォルトのいろいろなものが挿入されなくなるのですね。
    バタバタしてたので単純なミスに気が付かなくて残念な時間を費やしてしまいました。
    お騒がせいたしました。教えて頂きましてありがとうございました!

3件の返信を表示中 - 1 - 3件目 (全3件中)
  • トピック「画像ポップアップ系のプラグインが機能しない」には新たに返信することはできません。